This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 75334 - Netscape 4.79/4.8 Segmentation Fault in net_IsBetterAuth
Netscape 4.79/4.8 Segmentation Fault in net_IsBetterAuth
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
http://sun.net
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-07 08:55 EDT by Need Real Name
Modified: 2014-03-16 22:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-07 15:09:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-07 08:55:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Laptop is behind a firewall/proxy, proxy settings are set to auto-configure,
attempting to access a web site I get a SegFault
in net_IsBetterAuth().

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start Netscape 4.79 or 4.8
2.set autoproxy
3.access http://sun.net
	

Actual Results:  Without GDB, netscape simply exits with a Bus Error.  With GDB,
I get the following backtrace listing:

Program received signal SIGSEGV, Segmentation fault.
0x083c130a in net_IsBetterAuth ()
(gdb) bt
#0  0x083c130a in net_IsBetterAuth ()
#1  0x083c14ff in net_IsBetterAuth ()
#2  0x083c179c in NET_AskForProxyAuth ()
#3  0x083e34ee in net_getInternetKeyword ()
#4  0x083e44ce in NET_ProcessHTTP ()
#5  0x083dd12e in NET_ProcessNet ()
#6  0x082cdf6b in fe_GetSecondaryURL ()
#7  0x4005174e in XtAppProcessEvent () from /usr/X11R6/lib/libXt.so.6
#8  0x082bd40c in fe_EventLoop ()
#9  0x082bfe55 in main ()
#10 0x420158d4 in __libc_start_main () from /lib/i686/libc.so.6


Expected Results:  Netscape should access the URL without crashing

Additional info:

I believe this has something to do with the name services: dns and/or
files lookup.  I use the exact same laptop at home using NAT and no
proxy and it functions fine.  (with the exception of hitting
a Java bug)
Comment 1 Bill Nottingham 2002-10-07 15:09:21 EDT
We don't ship netscape with Red Hat Linux 8.0
Comment 2 R.K.Aa. 2002-10-20 09:39:02 EDT
similar bugs: bug 75314, bug 75221, and not least: bug 74073

Was breaking Java support deliberate? People can't reach their net-banks anymore.
I will have to install CxOffice+MSIE5.5 in order to do my web-banking stuff.
This is not good. If the fix in bug 74073 applies and this bug is an oversight
after all, may I suggest that users are informed and an errata issued ASAP.
Comment 3 Bill Nottingham 2002-10-21 00:26:25 EDT
This is a completely different backtrace than the java-resolver crash reported
in those other bugs; it's probably something different.

Note You need to log in before you can comment on or make changes to this bug.